Subject: RE: bug#1381 acknowledged by developer (close 1382)

From: "Drew Adams" <[email-masked]>
Date: Thu, 24 Jun 2010 11:39:14 -0700

What's this about - is it a mistake?

#1381 has nothing to do with #1382.

See below for my last mail (2008) about #1381.

> -----Original Message-----
> From: GNU bug Tracking System [mailto:[email-masked]] 
> Sent: Thursday, June 24, 2010 11:24 AM
> To: Drew Adams
> Subject: bug#1381 acknowledged by developer (close 1382)
> 
> This is an automatic notification regarding your bug report
> #1381: 23.0.60; capitalization of car and cdr in the doc,
> which was filed against the emacs package.
> 
> It has been marked as closed by one of the developers, namely
> Chong Yidong <[email-masked]>.
> 
> You should be hearing from them with a substantive response shortly,
> in case you haven't already. If not, please contact them directly.
> 
> debbugs.gnu.org maintainers
> (administrator, GNU bugs database)

---------------------------------------------------------------------

> -----Original Message-----
> From: Drew Adams Sent: Friday, November 21, 2008 8:18 AM
> To: [email-masked] Cc: [email-masked]; 
> [email-masked]; [email-masked];
[email-masked]
> Subject: bug#1381: 23.0.60; capitalization of car and cdr in the doc
> 
> >     OK, that's one thing. But my question was whether these 
> >     shouldn't simply be treated as normal Emacs terms - just
> >     like cons, buffer, symbol, and frame, after
> >     they have been introduced (defined).
> > 
> > The reason for using @sc on car and cdr is that they are acronyms.
> > Those other terms are not acronyms.
> 
> I see. That makes sense, I guess, though I'm not sure it's 
> important. (If we
> always stuck to that convention, then we might always write 
> "EMACS" or "EMacS",
> not "Emacs". ;-))
> 
> FWIW, this is what Wikipedia says about the orthography of acronyms:
> 
>  The most common capitalization scheme seen with acronyms
>  and initialisms is all-uppercase (all-caps), except for
>  those few that have linguistically taken on an identity
>  as regular words, with the acronymous etymology of the
>  words fading into the background of common knowledge, such
>  as has occurred with the words scuba, laser, and radar.
> 
> That's the argument I'd make here: "car" and "cdr" have 
> linguistically taken on
> an identity as regular words. The machine registers that were 
> at the orgins of
> these terms are incidental to the current meanings, and 
> knowledge of that
> historical relation is anecdotal.
> 
> I see "cdr" (for Lispians) the same way I see "radar". We 
> should encourage
> thinking of these as common terms, rather than as acronyms 
> about machine
> registers. Rather than facilitating understanding, I think it 
> gets in the way of
> understanding (and readability) to write "RADAR" and "CDR".